Imports DigitalData.Modules.ZooFlow.Params

Namespace ClipboardWatcher
    Public Class State
        Public Property UserProfiles As DataTable = Nothing
        Public Property ProfileProcesses As DataTable = Nothing
        Public Property ProfileWindows As DataTable = Nothing
        Public Property ProfileControls As DataTable = Nothing

        Public MatchTreeView As TreeView = New TreeView()

        Public Property CurrentMatchingProfiles As List(Of ProfileData) = New List(Of ProfileData)
        Public Property CurrentProfilesWithResults As List(Of ProfileData) = New List(Of ProfileData)
        Public Property CurrentClipboardContents As String = String.Empty

        Public Property MonitoringActive As Boolean = False
    End Class
End Namespace